gnutls_x509_crl_set_crt_serial(3)

NAME
gnutls_x509_crl_set_crt_serial

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_crt_serial(gnutls_x509_crl_t crl, const void * serial, size_t serial_size, time_t revocation_time);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

const void * serial
    The revoked certificate's serial number

size_t serial_size
    Holds the size of the serial field.

time_t revocation_time
    The time this certificate was revoked

DESCRIPTION
This function will set a revoked certificate's serial number to the CRL. Returns 0 on success, or a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.